Skip to main content
PATCH
Core - Set chunk enabled status
Related guide: Knowledge bases guide. See the Knowledge bases guide for a walkthrough with examples.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_id
string
required
datasource_id
string
required
chunk_id
string
required

Body

application/json
enabled
boolean
required

Response

200 - application/json

Chunk successfully updated

text
string
required
enabled
boolean
required
status
enum<string>
required

The status of the chunk

Available options:
pending,
processing,
completed,
failed,
queued
created
string
required
updated
string
required
_id
string
required
metadata
object

Metadata of the chunk. Can include page_number or any other key-value pairs

created_by_id
string | null

The unique identifier of the user who created the chunk

update_by_id
string | null

The unique identifier of the user who updated the chunk

processing_attempts
object[]

Additive compatibility fields from the database document.

count_metadata
object